Taxonomy

Set or clear a project primary category

PATCH
/api/projects/{projectId}/category

Authorization

sessionCookie
cookiebetter-auth.session_token<token>

The Better Auth email/password session cookie used by the web application.

Path Parameters

projectId*string
Length1 <= length

Request Body

  1. body
categoryId*|null

Response Body

Response for status 200

application/json
  1. response
id*string
name*string
timeZone*string
workspaceId*string|null
primaryCategoryId*string|null
createdAt*integer
Range-9007199254740991 <= value <= 9007199254740991
updatedAt*integer
Range-9007199254740991 <= value <= 9007199254740991
Example Request
curl -X PATCH 'https://postbot.example/api/projects/string/category' \
  -H 'Content-Type: application/json' \
  -d '{
  "categoryId": "string"
}'
Example Response
{
  "id": "string",
  "name": "string",
  "timeZone": "string",
  "workspaceId": "string",
  "primaryCategoryId": "string",
  "createdAt": -9007199254740991,
  "updatedAt": -9007199254740991
}

Was this page helpful?